exec("./CorsairSpring.cs");
exec("./Support_RaycastingWeapons.cs");
exec("./Corsair_Exhaust.cs");
exec("./Corsair_tirespring.cs");
exec("./Support_HandsOnVehicleB4v21EDITED.cs");
exec("./Corsair_Explosion.cs");

%error = ForceRequiredAddOn("Vehicle_Tank");
if(%error == $Error::AddOn_Disabled)
{
   TankVehicle.uiName = "";
}
else if(%error == $Error::AddOn_NotFound)
{
   error("ERROR: Vehicle_Corsair - required add-on Vehicle_Tank not found");
   return;
}

%error = ForceRequiredAddOn("Weapon_Gun");
if(%error == $Error::AddOn_Disabled)
{
   GunItem.uiName = "";
}
else if(%error == $Error::AddOn_NotFound)
{
   error("ERROR: Vehicle_Corsair - required add-on Weapon_Gun not found");
   return;
}

%error = ForceRequiredAddOn("Vehicle_Jeep");

if(%error == $Error::AddOn_Disabled)
{
   //A bit of a hack:
   //  we just forced the jeep to load, but the user had it disabled
   //  so lets make it so they can't select it
   JeepVehicle.uiName = "";
}

%error = ForceRequiredAddOn("Vehicle_Pirate_Cannon");
if(%error == $Error::AddOn_Disabled)
{
   rocketLauncherItem.uiName = "";
}
else if(%error == $Error::AddOn_NotFound)
{
   error("ERROR: Vehicle_Corsair - required add-on Weapon_Rocket_Launcher not found");
   return;
}




%error = ForceRequiredAddOn("Weapon_Rocket_Launcher");
if(%error == $Error::AddOn_Disabled)
{
   rocketLauncherItem.uiName = "";
}
else if(%error == $Error::AddOn_NotFound)
{
   error("ERROR: Vehicle_Corsair - required add-on Weapon_Rocket_Launcher not found");
   return;
}


if(%error == $Error::AddOn_NotFound)
{
   //we don't have the jeep, so we're screwed
   error("ERROR: Vehicle_Corsair - required add-on Vehicle_Jeep not found");
}
else
{ 
   exec("./Vehicle_Corsair.cs"); 
}